Create new store address
Create new store address
Required permissions: STORE
post/tenants/{tenantUid}/stores/{storeUid}/addresses
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+Body
typestring · enumRequiredPossible values:
companyNamestringRequired
addressstringRequired
postalCodestringRequired
citystringRequired
countryCodestringRequired
emailstringOptional
phonestringOptional
vatNumberstringOptional
storeAddressUidstringOptionalPattern:
^[A-Za-z0-9-_]*defaultbooleanOptional
Responses
201
Example response
application/json
storeAddressUidstringRequiredPattern:
^[A-Za-z0-9-_]+companyNamestringRequired
vatNumberstringRequired
addressstringRequired
postalCodestringRequired
citystringRequired
countryCodestringRequired
emailstringRequired
phonestringRequired
typestring · enumRequiredPossible values:
defaultbooleanRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
post/tenants/{tenantUid}/stores/{storeUid}/addresses
POST /v2/tenants/{tenantUid}/stores/{storeUid}/addresses HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 217
{
"type": "PURCHASE_INVOICE_ADDRESS",
"companyName": "text",
"address": "text",
"postalCode": "text",
"city": "text",
"countryCode": "text",
"email": "text",
"phone": "text",
"vatNumber": "text",
"storeAddressUid": "text",
"default": true
}201
Example response
{
"storeAddressUid": "text",
"companyName": "text",
"vatNumber": "text",
"address": "text",
"postalCode": "text",
"city": "text",
"countryCode": "text",
"email": "text",
"phone": "text",
"type": "PURCHASE_INVOICE_ADDRESS",
"default": true,
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z"
}Last updated
Was this helpful?

